<div id="autocomplete" class="autocomplete">
  <div class="autocomplete__overlay"></div>
  <div class="autocomplete__box">
    <div class="autocomplete__scroll">
      <div class="autocomplete__content">
        <div v-if="globalState.query && !globalState.loading && carsData.objects && carsData.objects.concat(reportsData.objects, ordersData.objects, usersData.objects).length == 0" class="autocomplete__empty">
            По вашему запросу ничего не найдено
        </div>
        <div class="autocomplete__results">
          <div class="search-results">
            {% if perms.auto.view_auto %}
              <div v-if="carsData.objects && carsData.objects.length > 0" class="search-results__group">
                <div class="search-results__header Автомобили">
                  <h6 class="search-results__title">Автомобили</h6>
                  <div class="search-results__count">${ carsData.count } </div>
                </div>
                <div class="search-results__body">
                  <div v-for="car in carsData.objects" class="search-results__item"><a class="search-results__link" :href="'/auto/detail-auto/' + car.id">${ car.mark_auto ? car.mark_auto.name : ''} ${ car.model_auto ? car.model_auto.name : ''} ${ car.generation && car.generation.name ? car.generation.name : '' } ${ car.vin }</a></div>
                </div>
              </div>
            {% endif %}
            {% if perms.report.view_reportpodbor %}
              <div v-if="reportsData.objects && reportsData.objects.length > 0" class="search-results__group">
                <div class="search-results__header Отчёты">
                  <h6 class="search-results__title">Отчёты</h6>
                  <div class="search-results__count">${ reportsData.count }</div>
                </div>
                <div class="search-results__body">
                  <div v-for="report in reportsData.objects" class="search-results__item"><a class="search-results__link" :href="`/report/view/${report.id}`">${ report.name }</a></div>
                </div>
              </div>
            {% endif %}
            {% if perms.order.view_order %}
              <div v-if="ordersData.objects && ordersData.objects.length > 0" class="search-results__group">
                <div class="search-results__header Заказы">
                  <h6 class="search-results__title">Заказы</h6>
                  <div class="search-results__count">${ ordersData.count }</div>
                </div>
                <div class="search-results__body">
                  <div v-for="order in ordersData.objects" class="search-results__item"><a class="search-results__link" :href="`/order/detail/${order.id}`">${ order.number_buh } ${ order.created } ${ order.order_type }</a></div>
                </div>
              </div>
            {% endif %}
            {% if perms.core.view_user %}
              <div v-if="usersData.objects && usersData.objects.length > 0" class="search-results__group">
                <div class="search-results__header Пользователи">
                  <h6 class="search-results__title">Пользователи</h6>
                  <div class="search-results__count">${ usersData.count }</div>
                </div>
                <div class="search-results__body">
                  <div v-for="user in usersData.objects" class="search-results__item">
                    <a class="search-results__link" :href="`/user/user_detail/${user.id}`"> ${ user.full_name } ${ user.email } ${ user.phone }</a>
                  </div>
                </div>
              </div>
            {% endif %}
          </div>
        </div>
      </div>
    </div>
  </div>
</div>